# SPDX-FileCopyrightText: 2022-2024 TriliTech <contact@trili.tech>
#
# SPDX-License-Identifier: MIT

[package]
name = "tezos-smart-rollup-host"
edition = "2021"
version = "0.2.2"
license = "MIT"
authors = ["TriliTech <contact@trili.tech>"]
repository = "https://gitlab.com/tezos/tezos.git"
description = "Safe Runtime trait for Tezos Smart Rollups host functions."
keywords = ["tezos", "smart", "rollup"]
categories = ["no-std", "no-std::no-alloc", "api-bindings", "wasm"]

[lib]
path = "src/lib.rs"

[dependencies.tezos-smart-rollup-core]
path = "../core"
version = "0.2.2"

[dependencies.tezos_crypto_rs]
version = "=0.5.2"
default-features = false
optional = true

[dependencies.tezos_data_encoding]
version = "=0.5.2"
default-features = false
optional = true

[dependencies.thiserror]
version = "1.0"
optional = true

[dependencies.mockall]
version = "0.11.0"
optional = true

[features]
default = ["std", "alloc", "crypto"]
crypto = ["tezos_crypto_rs"]
alloc = ["thiserror", "tezos_data_encoding"]
testing = ["crypto", "mockall", "tezos-smart-rollup-core/testing"]
proto-alpha = ["tezos-smart-rollup-core/proto-alpha"]
# Required for 'impl Error for RuntimeError'
std = []
